---
title: Research Work
draft: true
---

<!--toc:start-->
- [Peer-To-Peer MFA System](#peer-to-peer-mfa-system)
- [Linux Dependency & Vulnerability Analysis](#linux-dependency-vulnerability-analysis)
- [Ultrasonic Auth: Continuous Acoustic Authentication for Vehicles](#ultrasonic-auth-continuous-acoustic-authentication-for-vehicles)
- [SonicAuth: A Time-Synchronized Voice Authentication Scheme Using Speech Transcription And Speaker Verification](#sonicauth-a-time-synchronized-voice-authentication-scheme-using-speech-transcription-and-speaker-verification)
- [Master's Thesis](#masters-thesis)
<!--toc:end-->

I am very passionate about research, which I have conducted during my
undergraduate and ongoing Master's education. My main research interest is
Authentication.

## Peer-To-Peer MFA System

- Undergraduate capstone project.
- Topic: P2P MFA system using sound comparison.
- Status: Completed.

## Linux Dependency & Vulnerability Analysis

- Research project for "Release Engineering" graduate class.
- Topic: Relationship between package dependencies and vulnerabilities in Linux
  Distributions.
- Status: Completed.

## Ultrasonic Auth: Continuous Acoustic Authentication for Vehicles

- Research project for "Cyber-Physical System Security" graduate class.
- Topic: A novel authentication scheme leveraging a purpose made codec for
  encrypted data transfer over sound.
- Status: Completed.

## SonicAuth: A Time-Synchronized Voice Authentication Scheme Using Speech Transcription And Speaker Verification

- Research project for "AI in Cybersecurity" graduate class.
- Topic: A novel voice-powered authentication scheme leveraging AI & applying a
  new approach to TOTP.
- Status: Completed.

## Master's Thesis

- Topic: Real-time phishing resilient MFA.
- Status: Ongoing.
